org.apache.olingo.client.api.domain

## Interface ClientPrimitiveValue.Builder

- Enclosing interface:
    ClientPrimitiveValue

      public static interface ClientPrimitiveValue.Builder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientPrimitiveValue` | `build()`
    `ClientPrimitiveValue` | `buildBinary(byte[] value)`
    `ClientPrimitiveValue` | `buildBoolean(Boolean value)`
    `ClientPrimitiveValue` | `buildDecimal(BigDecimal value)`
    `ClientPrimitiveValue` | `buildDouble(Double value)`
    `ClientPrimitiveValue` | `buildDuration(BigDecimal value)`
    `ClientPrimitiveValue` | `buildGuid(UUID value)`
    `ClientPrimitiveValue` | `buildInt16(Short value)`
    `ClientPrimitiveValue` | `buildInt32(Integer value)`
    `ClientPrimitiveValue` | `buildInt64(Long value)`
    `ClientPrimitiveValue` | `buildSingle(Float value)`
    `ClientPrimitiveValue` | `buildString(String value)`
    `ClientPrimitiveValue.Builder` | `setType(EdmPrimitiveTypeKind type)`
    `ClientPrimitiveValue.Builder` | `setType(EdmType type)`
    `ClientPrimitiveValue.Builder` | `setValue(Object value)`

- - ### Method Detail

    - #### setType

          ClientPrimitiveValue.Builder setType(EdmType type)

    - #### setType

          ClientPrimitiveValue.Builder setType(EdmPrimitiveTypeKind type)

    - #### setValue

          ClientPrimitiveValue.Builder setValue(Object value)

    - #### build

          ClientPrimitiveValue build()

    - #### buildBoolean

          ClientPrimitiveValue buildBoolean(Boolean value)

    - #### buildInt16

          ClientPrimitiveValue buildInt16(Short value)

    - #### buildInt32

          ClientPrimitiveValue buildInt32(Integer value)

    - #### buildInt64

          ClientPrimitiveValue buildInt64(Long value)

    - #### buildSingle

          ClientPrimitiveValue buildSingle(Float value)

    - #### buildDouble

          ClientPrimitiveValue buildDouble(Double value)

    - #### buildString

          ClientPrimitiveValue buildString(String value)

    - #### buildGuid

          ClientPrimitiveValue buildGuid(UUID value)

    - #### buildBinary

          ClientPrimitiveValue buildBinary(byte[] value)

    - #### buildDecimal

          ClientPrimitiveValue buildDecimal(BigDecimal value)

    - #### buildDuration

          ClientPrimitiveValue buildDuration(BigDecimal value)

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.